<div class="header">
    <h3>Welcome to shop</h3>
</div>
<div class="shop-container">
    <div *ngFor="let product of products">
        <div (click)="showProduct(product)" class="product-content">
            <img src="{{ product.image }}">
            <div class="product-options">
                <div>
                    <div class="title">{{product.title}}</div>
                    <div class="price large-text">{{product.price | currency: "EUR":"symbol":"1.0-0"}}</div>
                </div>
            </div>
        </div>
    </div>
    <dx-popup
    [width]="660"
    [height]="540"
    [showTitle]="true"
    [title]="currentProduct.title"
    [dragEnabled]="false"
    [hideOnOutsideClick]="true"
    [(visible)]="popupVisible">
    <div *dxTemplate="let data of 'content'">
        <div class="large-text">
            {{currentProduct.price | currency: "EUR":"symbol":"1.0-0"}}
        </div>
        <div class="opacity">Collection</div>
        <dx-button class="cart"
        text="Add to cart"
        icon="cart"
        [width]="260"
        [height]="44">
        </dx-button>
        <div class="shop-container">
            <img src="{{ currentProduct.image }}" height="200px" width="300" />
            <img src="{{ currentProduct.image.replace('.jpg', 'b.jpg') }}" height="200px" width="300" />
        </div>
        <div class="description">{{currentProduct.description}}</div>
    </div>

    </dx-popup>
</div>